From 087a6250e598a7e759aa12ed715098ea72798cf4 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 04:23:00 -0400
Subject: [PATCH 4/9] [ar71xx/kernel] upgrade 3.10.52 to 3.10.53 - released
 2014-08-14

[ar71xx/kernel] upgrade 3.10.52 to 3.10.53 - released 2014-08-14

compile tested.

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.53

arch/sparc/math-emu/math_32.c: drop stray break operator
bbc-i2c: Fix BBC I2C envctrl on SunBlade 2000
bnx2x: fix crash during TSO tunneling
inetpeer: get rid of ip_id_count
iovec: make sure the caller actually wants anything in memcpy_fromiovecend
ip: make IP identifiers less predictable
macvlan: Initialize vlan_features to turn on offload support.
net: Correctly set segment mac_len in skb_segment().
net: sctp: inherit auth_capable on INIT collisions
net: sendmsg: fix NULL pointer dereference
sctp: fix possible seqlock seadlock in sctp_packet_transmit()
sparc64: Add membar to Niagara2 memcpy code.
sparc64: Do not insert non-valid PTEs into the TSB hash table.
sparc64: Don't bark so loudly about 32-bit tasks generating 64-bit fault addresses.
sparc64: Fix argument sign extension for compat_sys_futex().
sparc64: Fix huge TSB mapping on pre-UltraSPARC-III cpus.
sparc64: Fix top-level fault handling bugs.
sparc64: Guard against flushing openfirmware mappings.
sparc64: Handle 32-bit tasks properly in compute_effective_address().
sparc64: ldc_connect() should not return EINVAL when handshake is in progress.
sparc64: Make itc_sync_lock raw
sunsab: Fix detection of BREAK on sunsab serial console
tcp: Fix integer-overflow in TCP vegas
tcp: Fix integer-overflows in TCP veno

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index 62c4be6..cf3a888 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.52
+LINUX_VERSION:=3.10.53
 
 include $(INCLUDE_DIR)/target.mk
 
-- 
1.7.10.4

